Loading...
Searching...
No Matches
fft.h File Reference
`#include <gnuradio/fft/api.h>`
`#include <gnuradio/gr_complex.h>`
`#include <gnuradio/logger.h>`
`#include <volk/volk_alloc.hh>`
`#include <mutex>`
Include dependency graph for fft.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | gr::fft::planner
| Export reference to planner mutex for those apps that want to use FFTW w/o using the fft_impl_fftw* classes. More...
struct | gr::fft::fft_inbuf< T, forward >
| FFT: templated. More...
struct | gr::fft::fft_inbuf< float, false >
struct | gr::fft::fft_outbuf< T, forward >
struct | gr::fft::fft_outbuf< float, true >
class | gr::fft::fft< T, forward >

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::fft

## Typedefs

using | gr::fft::fft_complex_fwd = fft<gr_complex, true>
using | gr::fft::fft_complex_rev = fft<gr_complex, false>
using | gr::fft::fft_real_fwd = fft<float, true>
using | gr::fft::fft_real_rev = fft<float, false>